Bug 170579 - Handspring Visor does not work after kernel-2.6.11.x
Handspring Visor does not work after kernel-2.6.11.x
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-12 20:41 EDT by tmoore7773
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:46:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tmoore7773 2005-10-12 20:41:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
FC4 is not the problem with the syncing of a handspring visor, it is the
kernel.  I compiled kernel linux-2.6.11.7 up to 9 and the handspring visor syncs
under FC4.  linux-2.6.12 and linux-2.6.13

There is no /dev/ttyUSBx created when the hot sync button is pressed on the
visor on these kernels.

in the /sys directory,
/sys/class/tty/ttyUSB1
/sys/bus/usb-serial/drivers/visor/ttyUSB1
/sys/bus/usb-serial/devices/ttyUSB1
/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-2/4-2:1.0/ttyUSB1


in messages:
Oct 12 19:56:39 d kernel: usb 4-2: new full speed USB device using uhci_hcd and address 4
Oct 12 19:56:39 d kernel: usb 4-2: Handspring Visor / Palm OS: port 1, is for Generic use
Oct 12 19:56:39 d kernel: usb 4-2: Handspring Visor / Palm OS: port 2, is for HotSync use
Oct 12 19:56:39 d kernel: usb 4-2: Handspring Visor / Palm OS: Number of ports: 2
Oct 12 19:56:39 d kernel: visor 4-2:1.0: Handspring Visor / Palm OS converter detected
Oct 12 19:56:39 d kernel: usb 4-2: Handspring Visor / Palm OS converter now attached to ttyUSB0
Oct 12 19:56:39 d kernel: usb 4-2: Handspring Visor / Palm OS converter now attached to ttyUSB1
Oct 12 19:56:45 d kernel: usb 4-2: USB disconnect, address 4
Oct 12 19:56:45 d kernel: visor ttyUSB0: Handspring Visor / Palm OS converter now disconnected from ttyUSB0
Oct 12 19:56:45 d kernel: visor ttyUSB1: Handspring Visor / Palm OS converter now disconnected from ttyUSB1
Oct 12 19:56:45 d kernel: visor 4-2:1.0: device disconnected

Version-Release number of selected component (if applicable):
kernel-2.6.12

How reproducible:
Always

Steps to Reproduce:
1. compile and kernel or use yum to get a kernel above 2.6.11
2. press the hot sync button on the visor
3. for i in 1 1 1 1 1 1 1;  do  find /dev/ -name "*iso*"; find /dev/ -name "*ttyUSB*";      find /sys/ -name "*ttyUSB1*";  sleep .5s ; date;  done
  

Actual Results:  The /dev/pilot and /dev/ttyUSB1 does not work.

Expected Results:  /dev/ttyUSB0 and /dev/ttyUSB1 should be created

Additional info:

linux-2.6.11 kernels worked.
Comment 1 Pete Zaitcev 2005-10-24 22:13:08 EDT
I know I should be taking this, but in reality there's no time to look at it.
Actually, I suspect that udev got broken somehow.
Comment 2 Dave Jones 2005-11-10 14:11:03 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 3 Dave Jones 2006-02-03 01:34:53 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 John Thacker 2006-05-04 21:46:01 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.